Bug 122354 - modversions.h missing (kernel-source-2.4.22-1.2188.nptl)
Summary: modversions.h missing (kernel-source-2.4.22-1.2188.nptl)
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-03 16:41 UTC by Jan Bernhardt
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 13:09:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Bernhardt 2004-05-03 16:41:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
as i tried to update the vmware kernel modules for the new kernel, i
noticed that modversions.h and modules/*.{h,ver} is missing from the
current kernel-source rpm.

Version-Release number of selected component (if applicable):
kernel-source-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1. vmware-config.pl
2. answer questions
    

Actual Results:  Using standalone build system.
make: Entering directory `/tmp/vmware-config4/vmmon-only'
make[1]: Entering directory `/tmp/vmware-config4/vmmon-only'
make[2]: Entering directory
`/tmp/vmware-config4/vmmon-only/driver-2.4.22-1.2188.nptlsmp'
In file included from
/lib/modules/2.4.22-1.2188.nptlsmp/build/include/linux/module.h:21,
                 from ../linux/driver.c:13:
/usr/include/linux/modversions.h:1:2: #error Modules should never use
kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but rather headers from
an appropriate kernel-source package.
/usr/include/linux/modversions.h:3:2: #error Change
-I/usr/src/linux/include (or similar) to
/usr/include/linux/modversions.h:4:2: #error -I/lib/modules/$(uname
-r)/build/include
/usr/include/linux/modversions.h:5:2: #error to build against the
currently-running kernel.
make[2]: *** [driver.d] Error 1
make[2]: Leaving directory
`/tmp/vmware-config4/vmmon-only/driver-2.4.22-1.2188.nptlsmp'
make[1]: *** [deps] Error 2
make[1]: Leaving directory `/tmp/vmware-config4/vmmon-only'
make: *** [auto-build] Error 2
make: Leaving directory `/tmp/vmware-config4/vmmon-only'
Unable to build the vmmon module.

Comment 1 Jan Bernhardt 2004-05-06 13:09:54 UTC
completely my fault. everything is ok. sorry bout that.


Note You need to log in before you can comment on or make changes to this bug.